Skip to content

Get History Trades ​

Rate Limit: 10 req/sec/uid

Description ​

get history trades, sort by create time desc

HTTP Request ​

  • GET /api/v1/futures/trade/get_history_trades

Request Parameters ​

ParameterTypeRequiredDescription
symbolstringfalseTrading pair
orderIdstringfalseorder id
positionIdstringfalseposition id
startTimeint64falseStart timestamp
Unix timestamp in milliseconds format, e.g. 1597026383085
endTimeint64falseStart timestamp
Unix timestamp in milliseconds format, e.g. 1597026683085
skipint64falseskip order count default: 0
limitint64falseNumber of queries: Maximum: 100, default: 10

Request Example

bash
curl -X 'GET'  --location 'https://fapi.bitunix.com/api/v1/futures/trade/get_history_trades?symbol=BTCUSDT' \
   -H "api-key:*******" \
   -H "sign:*" \
   -H "nonce:your-nonce" \
   -H "timestamp:1659076670000" \
   -H "language:en-US" \
   -H "Content-Type: application/json"

Response Parameters ​

ParameterTypeDescription
tradeListlisttrade list
>tradeIdstringtrade id
>orderIdstringorder id
>symbolstringTrading pair
>qtystringAmount (base coin)
>positionModestringONE_WAY or HEDGE
>marginModestringISOLATION or CROSS
>leverageintleverage
>pricestringPrice of the order.
Required if the order type is LIMIT
>sidestringOrder direction
buy: BUY
sell: SELL
>orderTypestringOrder type
LIMIT: limit orders
MARKET: market orders
>effectstringOrder expiration date.
Required if the orderType is limit
IOC: Immediate or cancel
FOK: Fill or kill
GTC: Good till canceled(default value)
POST_ONLY: POST only
>clientIdstringCustomize order ID
>reduceOnlybooleanWhether or not to just reduce the position
>feestringfee
>realizedPNLstringrealized pnl
>ctimeint64create timestamp
>roleTypestringTrader tag
TAKER: maker
MAKER: maker
totalint64total count

Response Example

json
{"code":0,"data":{"tradeList":[{"tradeId":"123","orderId":"11111","qty":"1","price":"60000","symbol":"BTCUSDT","positionMode":"HEDGE","marginMode":"ISOLATION","leverage":15,"fee":"0.01","realizedPNL":"1.78","type":"LIMIT","effect":"GTC","reduceOnly":false,"clientId":"22222","source":"api","ctime":1597026383085,"roleType":"TAKER"}],"total":10},"msg":"Success"}